<table *ngIf="tableMode else create" class="table table-sm table-striped">
  <tbody>
    <tr>
      <th>Id</th>
      <th>Title</th>
    </tr>
    <tr *ngFor="let g of genders">
      <ng-template [ngIf]="gender?.id != g.id" [ngIfElse]="edit">
        <td>{{g.id}}</td>
        <td>{{g.title}}</td>
        <td>
          <button class="btn btn-sm btn-primary" (click)="selectGender(g.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Edit
          </button>
          <button class="btn btn-sm btn-danger ml-1" (click)="deleteGender(g.id)"
                  [disabled]="currentUser.checkIfAdmin">
            Delete
          </button>
        </td>
      </ng-template>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td colspan="6" class="text-center">
        <button class="btn btn-primary" (click)="clearGender(); tableMode=false"
                [disabled]="currentUser.checkIfAdmin">
          Create
        </button>
      </td>
    </tr>
  </tfoot>
</table>

<ng-template #edit>
  <td colspan="6" class="bg-light border p-3">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="gender.id" disabled />
    </div>
    <div class="form-group">
      <label>Title</label>
      <input class="form-control" [(ngModel)]="gender.title" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="updateGender(gender.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearGender()">
        Cancel
      </button>
    </div>
  </td>
</ng-template>

<ng-template #create>
  <div class="m-2">
    <div class="form-group">
      <label>Id</label>
      <input class="form-control" [(ngModel)]="gender.id" disabled />
    </div>
    <div class="form-group">
      <label>Title</label>
      <input class="form-control" [(ngModel)]="gender.title" />
    </div>
    <div class="text-center">
      <button class="btn btn-sm btn-primary" (click)="createGender(gender.id)">
        Save
      </button>
      <button class="btn btn-sm btn-info ml-1" (click)="clearGender()">
        Cancel
      </button>
    </div>
  </div>
</ng-template>
